QRcodly
APIQr code

List QR Codes

GET
/qr-code

Returns a paginated list of QR codes owned by the authenticated user. Supports filtering by name, creation date, content type, and assigned tags.

Authorization

bearerAuth
AuthorizationBearer <token>

Authenticate with a Bearer token. Pass your API key in the Authorization header: Authorization: Bearer <your-api-key>

In: header

Query Parameters

page*integer

Page number to retrieve (1-based, default: 1)

Range1 <= value <= 1000
Default1
limit*integer

Number of items per page (1-100, default: 10)

Range1 <= value <= 100
Default10
where?

Filter conditions. Each field supports operators: eq (equals), neq (not equals), like (contains). Date fields also support gt, gte, lt, lte.

contentType?array<>

Filter by content type(s). Accepts one or more of: url, text, wifi, vCard, email, location, event, epc

Items1 <= items
tagIds?array<>

Filter by tag ID(s). Only returns QR codes that have at least one of the specified tags

Items1 <= items

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/qr-code?page=1&limit=10"
{  "page": 0,  "limit": 0,  "total": 0,  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "name": "string",      "config": {        "width": 0,        "height": 0,        "margin": 0,        "image": "string",        "imageOptions": {          "hideBackgroundDots": true        },        "dotsOptions": {          "type": "dots",          "style": {            "type": "hex",            "value": "string"          }        },        "cornersSquareOptions": {          "type": "dot",          "style": {            "type": "hex",            "value": "string"          }        },        "cornersDotOptions": {          "type": "dot",          "style": {            "type": "hex",            "value": "string"          }        },        "backgroundOptions": {          "style": {            "type": "hex",            "value": "string"          }        }      },      "content": {        "type": "url",        "data": {          "url": "http://example.com",          "isDynamic": true        }      },      "qrCodeData": "string",      "previewImage": "string",      "createdBy": "string",      "shortUrl": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "shortCode": "strin",        "name": null,        "destinationUrl": "http://example.com",        "qrCodeId": "8a619d64-dbe8-4c9d-9490-babe22a53a28",        "customDomainId": null,        "isActive": true,        "createdBy": "string",        "deletedAt": null      },      "tags": []    }  ]}
{  "message": "string",  "code": 0,  "fieldErrors": {    "property1": null,    "property2": null  }}
{  "message": "string",  "code": 0}
{  "message": "string",  "code": 0}